summaryrefslogtreecommitdiff
path: root/dev-python/platformdirs
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-09 03:04:49 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-09 03:04:49 -0500
commit92f6d12bf21434879bac739a9c4c7d9924ce3bad (patch)
tree9a92a97abce6dfa06d4b8bbf4be3083e1bc36207 /dev-python/platformdirs
parent09db256d16c907238beb9d50761d320ac661c08e (diff)
downloadbaldeagleos-repo-92f6d12bf21434879bac739a9c4c7d9924ce3bad.tar.gz
baldeagleos-repo-92f6d12bf21434879bac739a9c4c7d9924ce3bad.tar.xz
baldeagleos-repo-92f6d12bf21434879bac739a9c4c7d9924ce3bad.zip
Adding metadata
Diffstat (limited to 'dev-python/platformdirs')
-rw-r--r--dev-python/platformdirs/Manifest2
-rw-r--r--dev-python/platformdirs/platformdirs-4.11.1.ebuild50
2 files changed, 52 insertions, 0 deletions
diff --git a/dev-python/platformdirs/Manifest b/dev-python/platformdirs/Manifest
index 920f65d2995a..a6358de56fa1 100644
--- a/dev-python/platformdirs/Manifest
+++ b/dev-python/platformdirs/Manifest
@@ -4,3 +4,5 @@ DIST platformdirs-4.10.1.tar.gz 31678 BLAKE2B f856043d7dfd9a1b3e588bd4c5ee4d40ed
DIST platformdirs-4.10.1.tar.gz.provenance 9920 BLAKE2B 514a93e710634d7f9bad01dcb53c7f00c7bf1988247b80d07582596749864647cfc00662de85035a62035b18e3e30c916733d43c540e99fc500c58c3da1a8a6e SHA512 9517b368a04da9b6cf923b96bef99179922cf4e6898cf4d48ff82cc269a6fe1fafbf019c76338d95f848aab628c789139c5768bc337b111b26d0e2ae91bd8b66
DIST platformdirs-4.11.0.tar.gz 31953 BLAKE2B b0673aa3c8df445857d0f248c0f971d4f74f5650b80da210492470938031245cf7160d149ce7d0a2dc03ce718a21b351bad4649e8a216c050c59f930995172a5 SHA512 9669463cba81f09b1c90472521c3692666b4884d3885bbfbc3c8b7087547d7d4cc4169dd80eebfdc0d03972a659907014eb0e3ba2f23e339aad0e27cc03f67f9
DIST platformdirs-4.11.0.tar.gz.provenance 9787 BLAKE2B 1ca4c1d48cd86257ba46ea2d08fffac423359942496c96e615893c1a682c48e2edf5cad66727ccddd5af095f3546e803726c6cf1c139b267d2a956c3e0e49742 SHA512 61e2696a74fa04fe32e7f141d2347205c6c804337a0c6455ff6dba0ba278497d6d553f9049d7f3128f4c1bf7941a2de90e9b83f4efbb6e9c14582199d091acc7
+DIST platformdirs-4.11.1.tar.gz 32396 BLAKE2B cb0e931f7b55b1638af9eca532438adabbf505d1052db0e77c95276fc091afaafcb6bd4c0d5b8e5c8f2860dc91c5da1c23b70acf5c456ef959a6ab129cb3fe2c SHA512 253623b2a6018ef471a93f6999e9173c699d8f566cd7051e22c5624a1952d0a2098d2592d332614dd724b2e39756d18e6f78530cf08ef09207a0278afddd86fc
+DIST platformdirs-4.11.1.tar.gz.provenance 9646 BLAKE2B aed1b9aa643e742cf4b91b16ea0d623eda509b960eb205b75a527ddded6a422d89b447995f0d66ce6d0afb1787e70aa60a7c15c59e48afb8cbaaad7922329dcf SHA512 93ad85a77007195d8b5b5884ed3909119db30de48116d485d6f41676188f24b5fef6f3698819b22cc6a4c7a33a68bb0f3987265ed420a285843fa318cb327fee
diff --git a/dev-python/platformdirs/platformdirs-4.11.1.ebuild b/dev-python/platformdirs/platformdirs-4.11.1.ebuild
new file mode 100644
index 000000000000..97987e113428
--- /dev/null
+++ b/dev-python/platformdirs/platformdirs-4.11.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2021-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit-core
+PYPI_VERIFY_REPO=https://github.com/tox-dev/platformdirs
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A small Python module for determining appropriate platform-specific dirs"
+HOMEPAGE="
+ https://pypi.org/project/platformdirs/
+ https://github.com/tox-dev/platformdirs/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+BDEPEND="
+ test? (
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+src_configure() {
+ grep -q 'build-backend = "hatchling' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "${PN}"
+ version = "${PV}"
+ description = 'A small Python package for determining appropriate platform-specific dirs, e.g. a "user data dir".'
+ EOF
+ # sigh
+ cat > src/platformdirs/version.py <<-EOF || die
+ __version__ = version = '${PV}'
+ __version_tuple__ = version_tuple = (${PV//./, })
+ EOF
+}